[project]
name = "backend"
version = "0.1.0"
requires-python = ">=3.12"
dependencies = [
    "coverage==7.6.10",
    "django==5.1.7",
    "django-cors-headers==4.6.0",
    "django-filter==25.1",
    "djangorestframework==3.15.2",
    "djangorestframework-simplejwt==5.4.0",
    "gunicorn==23.0.0",
    "pillow>=11.0.0",
    "psycopg2-binary==2.9.10",
    "pydantic==2.10.5",
    "pydantic-settings==2.7.1",
    "pytest==8.3.4",
    "pytest-cov==6.0.0",
    "pytest-django==4.9.0",
    "python-dotenv==1.0.1",
    "httpx>=0.28.0",
    "ebooklib>=0.18",
    "beautifulsoup4>=4.12.0",
]
